#!/usr/bin/env python3

import sys
from ucb import main
from mapreduce import emit

def emit_vowels(line):
    for vowel in 'aeiou':
        count = line.count(vowel)
        if count:
            emit(vowel, count)

@main
def run(*args):
    for line in sys.stdin:
        emit_vowels(line)
